package cn.com.tenlion.configcontent.pojo.bos.contentcollect;

/**
 *
 * @ClassName: ContentCollectBO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-08-02 09:15:31
 * @Version: 3.0
 **/
public class ContentCollectBO {

    private String contentCollectId;
    private String businessId;
    private String contentCollectUserName;
    private String contentCollectUserIcon;
    private String contentCollectTag;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getContentCollectId() {
        return contentCollectId == null ? "" : contentCollectId.trim();
    }

    public void setContentCollectId(String contentCollectId) {
        this.contentCollectId = contentCollectId;
    }

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getContentCollectUserName() {
        return contentCollectUserName == null ? "" : contentCollectUserName.trim();
    }

    public void setContentCollectUserName(String contentCollectUserName) {
        this.contentCollectUserName = contentCollectUserName;
    }

    public String getContentCollectUserIcon() {
        return contentCollectUserIcon == null ? "" : contentCollectUserIcon.trim();
    }

    public void setContentCollectUserIcon(String contentCollectUserIcon) {
        this.contentCollectUserIcon = contentCollectUserIcon;
    }

    public String getContentCollectTag() {
        return contentCollectTag == null ? "" : contentCollectTag.trim();
    }

    public void setContentCollectTag(String contentCollectTag) {
        this.contentCollectTag = contentCollectTag;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
